Subject: Re: [RFC][PATCH] QoS TBF and latency configuration misbehavior

From: Alexey Kuznetsov <[email-masked]>
Date: Wed, 1 Sep 2010 02:34:02 +0400

Hello!

Hmm. Seems, you are right and I was wrong all these years.
Somehow, I did wrong calculation once and this rustied to the brains.
After some thinking the calulation is obviously wrong: no matter what,
in steady state tbf queue is processed with rate R. What a stupid mistake... :-)

Please, also think how to fix the second part of calculation which deals
with peak rate. IMHO (for now :-)) it does not even contribute to latency
and should be deleted.

To Jarek: about the scripts. I do not think something will be broken
by fixing this error. Eventually, if someone used "latency", he meant
something about real latency. And even if the value was generated
using the same wrong logic as tc did, using correct formula would just
increase limit setting.

Alexey